-- Health/Ammo refill machine
function obj17()
	if (math.floor(obj.life()%(TICKRATE/2)) == 0) then
--		if (obj.anim() == 1) then
			obj.anim(math.floor(math.random(3)) - 1)
--		elseif (obj.anim() == 0) then
--			obj.anim(math.floor(math.random(2)) - 1)
--		elseif (obj.anim() == 2) then
--			obj.anim(math.floor(math.random(2)))
--		end
	end
	gravity()
end
